Bug 804931 - jsse module does not do interpolate properties
jsse module does not do interpolate properties
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: unspecified (Show other bugs)
2.0.0.ER3
Unspecified Unspecified
medium Severity medium
: ---
: 2.0.0.ER6
Assigned To: mark yarborough
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-20 04:39 EDT by Karel Piwko
Modified: 2012-06-22 07:13 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
EAP6
Last Closed: 2012-06-22 07:13:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPAPP-8493 Major Closed jsse module does not do interpolate properties 2013-09-11 06:29:42 EDT

  None (edit)
Description Karel Piwko 2012-03-20 04:39:35 EDT
Description of problem:

JSSE module configuration, for example for X509 authentization with Spring Security, does not allow user to specify ${jboss.home} property for instance.

How reproducible:

Always.

Steps to Reproduce:
1. Include following in standalone.xml

<security-domain name="certificate">
                    <authentication>
                        <login-module code="Certificate" flag="required">
                            <!-- might not be required -->
                            <module-option name="password-stacking" value="useFirstPass" />
                            <module-option name="securityDomain" value="cert-x509"/>
                        </login-module>
                    </authentication>
                </security-domain>

                <security-domain name="cert-x509">
                     <jsse truststore-url="${jboss.home.dir}/server.jks"
                       truststore-password="password"
                       keystore-url="${jboss.home.dir}/server.jks"
                       keystore-password="password"/>
                </security-domain>

2. Start application server
  
Actual results:

09:22:21,692 ERROR [org.jboss.as.controller.management-operation] (ServerService Thread Pool – 55) JBAS014612: Operation ("add") failed - address: ([
("subsystem" => "security"),
("security-domain" => "cert-x509")
]): java.lang.RuntimeException: JBAS013303: Runtime Exception:
at org.jboss.as.security.SecurityDomainAdd.processKeyStore(SecurityDomainAdd.java:594) [jboss-as-security-7.1.0.Final-redhat-1.jar:7.1.0.Final-redhat-1]
at org.jboss.as.security.SecurityDomainAdd.createJSSESecurityDomain(SecurityDomainAdd.java:472) [jboss-as-security-7.1.0.Final-redhat-1.jar:7.1.0.Final-redhat-1]
at org.jboss.as.security.SecurityDomainAdd.launchServices(SecurityDomainAdd.java:171) [jboss-as-security-7.1.0.Final-redhat-1.jar:7.1.0.Final-redhat-1]
at org.jboss.as.security.SecurityDomainAdd$1.execute(SecurityDomainAdd.java:159) [jboss-as-security-7.1.0.Final-redhat-1.jar:7.1.0.Final-redhat-1]
at org.jboss.as.controller.AbstractOperationContext.executeStep(AbstractOperationContext.java:387) [jboss-as-controller-7.1.0.Final-redhat-1.jar:7.1.0.Final-redhat-1]
at org.jboss.as.controller.AbstractOperationContext.doCompleteStep(AbstractOperationContext.java:274) [jboss-as-controller-7.1.0.Final-redhat-1.jar:7.1.0.Final-redhat-1]
at org.jboss.as.controller.AbstractOperationContext.completeStep(AbstractOperationContext.java:202) [jboss-as-controller-7.1.0.Final-redhat-1.jar:7.1.0.Final-redhat-1]
at org.jboss.as.security.SecurityDomainAdd$1.execute(SecurityDomainAdd.java:160) [jboss-as-security-7.1.0.Final-redhat-1.jar:7.1.0.Final-redhat-1]
at org.jboss.as.controller.AbstractOperationContext.executeStep(AbstractOperationContext.java:387) [jboss-as-controller-7.1.0.Final-redhat-1.jar:7.1.0.Final-redhat-1]
at org.jboss.as.controller.AbstractOperationContext.doCompleteStep(AbstractOperationContext.java:274) [jboss-as-controller-7.1.0.Final-redhat-1.jar:7.1.0.Final-redhat-1]
at org.jboss.as.controller.AbstractOperationContext.completeStep(AbstractOperationContext.java:202) [jboss-as-controller-7.1.0.Final-redhat-1.jar:7.1.0.Final-redhat-1]
at org.jboss.as.security.SecurityDomainAdd$1.execute(SecurityDomainAdd.java:160) [jboss-as-security-7.1.0.Final-redhat-1.jar:7.1.0.Final-redhat-1]
at org.jboss.as.controller.AbstractOperationContext.executeStep(AbstractOperationContext.java:387) [jboss-as-controller-7.1.0.Final-redhat-1.jar:7.1.0.Final-redhat-1]
at org.jboss.as.controller.AbstractOperationContext.doCompleteStep(AbstractOperationContext.java:274) [jboss-as-controller-7.1.0.Final-redhat-1.jar:7.1.0.Final-redhat-1]
at org.jboss.as.controller.AbstractOperationContext.completeStep(AbstractOperationContext.java:202) [jboss-as-controller-7.1.0.Final-redhat-1.jar:7.1.0.Final-redhat-1]
at org.jboss.as.security.SecurityDomainAdd$1.execute(SecurityDomainAdd.java:160) [jboss-as-security-7.1.0.Final-redhat-1.jar:7.1.0.Final-redhat-1]
at org.jboss.as.controller.AbstractOperationContext.executeStep(AbstractOperationContext.java:387) [jboss-as-controller-7.1.0.Final-redhat-1.jar:7.1.0.Final-redhat-1]
at org.jboss.as.controller.AbstractOperationContext.doCompleteStep(AbstractOperationContext.java:274) [jboss-as-controller-7.1.0.Final-redhat-1.jar:7.1.0.Final-redhat-1]
at org.jboss.as.controller.AbstractOperationContext.completeStep(AbstractOperationContext.java:202) [jboss-as-controller-7.1.0.Final-redhat-1.jar:7.1.0.Final-redhat-1]
at org.jboss.as.security.SecurityDomainAdd$1.execute(SecurityDomainAdd.java:160) [jboss-as-security-7.1.0.Final-redhat-1.jar:7.1.0.Final-redhat-1]
at org.jboss.as.controller.AbstractOperationContext.executeStep(AbstractOperationContext.java:387) [jboss-as-controller-7.1.0.Final-redhat-1.jar:7.1.0.Final-redhat-1]
at org.jboss.as.controller.AbstractOperationContext.doCompleteStep(AbstractOperationContext.java:274) [jboss-as-controller-7.1.0.Final-redhat-1.jar:7.1.0.Final-redhat-1]
at org.jboss.as.controller.AbstractOperationContext.completeStep(AbstractOperationContext.java:202) [jboss-as-controller-7.1.0.Final-redhat-1.jar:7.1.0.Final-redhat-1]
at org.jboss.as.security.SecurityDomainAdd$1.execute(SecurityDomainAdd.java:160) [jboss-as-security-7.1.0.Final-redhat-1.jar:7.1.0.Final-redhat-1]
at org.jboss.as.controller.AbstractOperationContext.executeStep(AbstractOperationContext.java:387) [jboss-as-controller-7.1.0.Final-redhat-1.jar:7.1.0.Final-redhat-1]
at org.jboss.as.controller.AbstractOperationContext.doCompleteStep(AbstractOperationContext.java:274) [jboss-as-controller-7.1.0.Final-redhat-1.jar:7.1.0.Final-redhat-1]
at org.jboss.as.controller.AbstractOperationContext.completeStep(AbstractOperationContext.java:202) [jboss-as-controller-7.1.0.Final-redhat-1.jar:7.1.0.Final-redhat-1]
at org.jboss.as.server.AbstractDeploymentChainStep.execute(AbstractDeploymentChainStep.java:46) [jboss-as-server-7.1.0.Final-redhat-1.jar:7.1.0.Final-redhat-1]
at org.jboss.as.controller.AbstractOperationContext.executeStep(AbstractOperationContext.java:387) [jboss-as-controller-7.1.0.Final-redhat-1.jar:7.1.0.Final-redhat-1]
at org.jboss.as.controller.AbstractOperationContext.doCompleteStep(AbstractOperationContext.java:274) [jboss-as-controller-7.1.0.Final-redhat-1.jar:7.1.0.Final-redhat-1]
at org.jboss.as.controller.AbstractOperationContext.completeStep(AbstractOperationContext.java:202) [jboss-as-controller-7.1.0.Final-redhat-1.jar:7.1.0.Final-redhat-1]
at org.jboss.as.server.AbstractDeploymentChainStep.execute(AbstractDeploymentChainStep.java:46) [jboss-as-server-7.1.0.Final-redhat-1.jar:7.1.0.Final-redhat-1]
at org.jboss.as.controller.AbstractOperationContext.executeStep(AbstractOperationContext.java:387) [jboss-as-controller-7.1.0.Final-redhat-1.jar:7.1.0.Final-redhat-1]
at org.jboss.as.controller.AbstractOperationContext.doCompleteStep(AbstractOperationContext.java:274) [jboss-as-controller-7.1.0.Final-redhat-1.jar:7.1.0.Final-redhat-1]
at org.jboss.as.controller.AbstractOperationContext.completeStep(AbstractOperationContext.java:202) [jboss-as-controller-7.1.0.Final-redhat-1.jar:7.1.0.Final-redhat-1]
at org.jboss.as.controller.ParallelBootOperationStepHandler$ParallelBootTask.run(ParallelBootOperationStepHandler.java:311) [jboss-as-controller-7.1.0.Final-redhat-1.jar:7.1.0.Final-redhat-1]
at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886) [rt.jar:1.6.0_27]
at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908) [rt.jar:1.6.0_27]
at java.lang.Thread.run(Thread.java:662) [rt.jar:1.6.0_27]
at org.jboss.threads.JBossThread.run(JBossThread.java:122)
Caused by: java.net.MalformedURLException: Failed to find url=${jboss.home.dir}/server.jks as a URL, file or resource
at org.jboss.security.JBossJSSESecurityDomain.validateStoreURL(JBossJSSESecurityDomain.java:407) [picketbox-4.0.6.final-redhat-1.jar:4.0.6.final-redhat-1]
at org.jboss.security.JBossJSSESecurityDomain.setKeyStoreURL(JBossJSSESecurityDomain.java:138) [picketbox-4.0.6.final-redhat-1.jar:4.0.6.final-redhat-1]
at org.jboss.as.security.SecurityDomainAdd$5.setKeyStoreURL(SecurityDomainAdd.java:480) [jboss-as-security-7.1.0.Final-redhat-1.jar:7.1.0.Final-redhat-1]
at org.jboss.as.security.SecurityDomainAdd.processKeyStore(SecurityDomainAdd.java:592) [jboss-as-security-7.1.0.Final-redhat-1.jar:7.1.0.Final-redhat-1]
... 39 more

Expected results:

It works.

Additional info:

Workaround is to specify absolute path.
Comment 1 JBoss JIRA Server 2012-05-06 18:12:55 EDT
Stefan Guilhen <sguilhen@redhat.com> updated the status of jira JBPAPP-8493 to Closed
Comment 2 JBoss JIRA Server 2012-05-06 18:12:55 EDT
Stefan Guilhen <sguilhen@redhat.com> made a comment on jira JBPAPP-8493

Pull request has been merged in time for AS 7.1.2.
Comment 3 JBoss JIRA Server 2012-05-06 18:42:54 EDT
Rajesh Rajasekaran <rajesh.rajasekaran@jboss.com> updated the status of jira JBPAPP-8493 to Reopened
Comment 4 JBoss JIRA Server 2012-05-06 18:42:54 EDT
Rajesh Rajasekaran <rajesh.rajasekaran@jboss.com> made a comment on jira JBPAPP-8493

Reopening to set Fix Version
Comment 5 JBoss JIRA Server 2012-05-06 18:43:17 EDT
Rajesh Rajasekaran <rajesh.rajasekaran@jboss.com> updated the status of jira JBPAPP-8493 to Resolved
Comment 6 JBoss JIRA Server 2012-05-25 08:43:03 EDT
Dominik Pospisil <dpospisi@redhat.com> updated the status of jira JBPAPP-8493 to Closed
Comment 7 JBoss JIRA Server 2012-05-25 08:43:03 EDT
Dominik Pospisil <dpospisi@redhat.com> made a comment on jira JBPAPP-8493

Verified (ER8).
Comment 8 Karel Piwko 2012-05-28 12:03:33 EDT
Verified in EAP 6.0.0.ER6, retargeted to WFK 2.0.0.ER6, which is aligned version.
Comment 9 Karel Piwko 2012-06-22 07:13:16 EDT
Closing as CURRENTRELEASE, this is an EAP issue which was fixed.

Note You need to log in before you can comment on or make changes to this bug.